<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright © 2002 - 2006 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| Modified by PHP-Fusion SF Group
| Copyright © 2007 by SF
| http://www.rus-phpfusion.com/
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

if (!iMEMBER) fallback("index.php");

if (iMEMBER && isnum($_GET['lookup'])) {
	$lookup = $_GET['lookup'];
	$data = dbarray(dbquery("SELECT user_name FROM ".$db_prefix."users WHERE user_id='$lookup'"));
	$locale['026'] = $locale['URPM_001'].$data['user_name'];
	$locale['037'] = $data['user_name']." ".$locale['URPM_003'];
} else { $lookup = $userdata['user_id']; }

$result = dbquery(
	"SELECT tt.*, tf.*, tu.user_id,user_name FROM ".$db_prefix."threads tt
	INNER JOIN ".$db_prefix."forums tf USING(forum_id)
	INNER JOIN ".$db_prefix."users tu ON tt.thread_lastuser=tu.user_id
	WHERE ".groupaccess('forum_access')." AND thread_author='$lookup' LIMIT 100"
);
$rows = dbrows($result);
if ($rows != 0) {
	if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
	$result = dbquery(
		"SELECT tt.*, tf.*, tu.user_id,user_name FROM ".$db_prefix."threads tt
		INNER JOIN ".$db_prefix."forums tf USING(forum_id)
		INNER JOIN ".$db_prefix."users tu ON tt.thread_lastuser=tu.user_id
		WHERE ".groupaccess('forum_access')." AND thread_author='$lookup'
		ORDER BY thread_lastpost DESC LIMIT $rowstart,20"
	);
	$i=0;
	opentable($locale['026']);
	echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>\n<tr>\n";
	if ($theme_width == "100%") echo "<td style='text-align:center;' class='tbl2'>&nbsp;</td><td width='180' style='text-align:center;' class='tbl2'><span class='small'><b>".$locale['030']."</b></span></td>\n";
	echo "<td style='text-align:center;' class='tbl2'><span class='small'><b>".$locale['031']."</b></span></td>
<td style='text-align:center;' class='tbl2'><span class='small'><b>".$locale['032']."</b></span></td>
<td style='text-align:center;' class='tbl2'><span class='small'><b>".$locale['033']."</b></span></td>
<td width='100' style='text-align:center;' class='tbl2'><span class='small'><b>".$locale['034']."</b></span></td>
</tr>\n";
	while ($data = dbarray($result)) {
		if ($i % 2 == 0) { $row_color = "tbl1"; } else { $row_color = "tbl2"; }
		$reply_count = dbcount("(thread_id)", "posts", "thread_id='".$data['thread_id']."'");
		$data2 = dbarray(dbquery("SELECT post_id FROM ".$db_prefix."posts WHERE thread_id='".$data['thread_id']."' ORDER BY post_id DESC LIMIT 1"));
		$rstart = ($reply_count > 20 ? "rowstart=".((ceil($reply_count / 20)-1)*20)."&amp;" : "");
		echo "<tr>\n";
		if ($theme_width == "100%") {
			echo "<td class='tbl1'><img alt='' border='0' src='".THEME."forum/foldernew.gif'>
                        </td>
<td width='30%' class='$row_color'><span class='small'>".$data['forum_name']."</span></td>
<td width='35%' class='$row_color'><span class='small'><a href='".FORUM."viewthread.php?".$rstart."forum_id=".$data['forum_id']."&amp;thread_id=".$data['thread_id']."#".$data2['post_id']."' title='".$data['thread_subject']."'>".trimlink($data['thread_subject'], 30)."</a></span></td>\n";
		} else {
			echo "<td width='55%' class='$row_color'><span class='small'><a href='".FORUM."viewthread.php?".$rstart."forum_id=".$data['forum_id']."&amp;thread_id=".$data['thread_id']."#".$data2['post_id']."' title='".$data['thread_subject']." (".$data['forum_name'].")'>".trimlink($data['thread_subject'], 30)."</a></span></td>\n";
		}
		echo "<td style='text-align:center;' width='40' class='$row_color'><span class='small'>".$data['thread_views']."</span></td>
<td style='text-align:center;' width='45' class='$row_color'><span class='small'>".($reply_count - 1)."</span></td>
<td style='text-align:center;' class='$row_color'><span class='small'><a href='".BASEDIR."profile.php?lookup=".$data['thread_lastuser']."'>".$data['user_name']."</a></span></td>
</tr>\n";
		$i++;
	}
	echo "</table>\n";
	closetable();
	if ($rows > 20) echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,20,$rows,3,FUSION_SELF."?lookup=$lookup&amp;")."\n</div>\n";
} else {
	opentable($locale['026']);
	echo "<center><br>\n".$locale['037']."<br><br>\n</center>\n";
	closetable();
}

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>